Skip to main content
GET
List projects within a folder

Description

List the projects of the current user. You can also list projects inside a folder given the folderId. The default folderId which corresponds to the root of the projects dashboard is f00000000000000000000001.

Response

200 OK

The response is an array of objects where each object contains the information of each project.
where:
  • project
    • createdAt: Date of creation of the project in the format YYYY-MM-DDTHH:mm:ss.SSSZ.
    • status: Status of the project.
    • title: Name of the project.
    • updatedAt: Date of the last update of the project in the format YYYY-MM-DDTHH:mm:ss.SSSZ.
    • id: Id of the project.
  • projectId: Id of the project.

400 Bad Request

folderId from url path is not found.

401 Unauthorized

The user doesn’t have permissions.

500 Internal Server Error

Error occurred while processing the request.
Query Parameters

Authorizations

Authorization
string
header
required

Access token obtained from the m2m-token endpoint.

Headers

Authorization
string
required

Authorization token

Query Parameters

page
string
limit
string
skip
string
orderField
string
order
string

Response

List projects

The response is of type object.